version: 1
name: Tux Plan
description: Generated plan from tuxsuite cli
jobs:
- name: Tux Plan
  build:
    kconfig:
    - defconfig
    - https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/graviton3_defconfig
    git_repo: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
    target_arch: arm64
    toolchain: gcc-12
    git_ref: master
    targets:
    - debugkernel
    - dtbs
    - dtbs-legacy
    - headers
    - kernel
    - kselftest
    - modules
    no_cache: false
    is_public: true
  tests:
  - boot_args: rw
    device: ssh-device
    parameters:
      KSELFTEST: $BUILD/kselftest.tar.xz
      dut: r8g.large
    rootfs: https://storage.tuxboot.com/debian/bookworm/arm64/rootfs.ext4.xz
    tests:
    - kselftest-arm64
    timeouts:
      boot: 30
      commands: 10
    commands:
    - dmesg
    host: m7g.large
